Skip to main content
GET
/
v2
/
calendars
/
busy-times
Get busy times
curl --request GET \
  --url https://api.cal.com/v2/calendars/busy-times \
  --header 'Authorization: <authorization>'
{
  "status": "success",
  "data": [
    {
      "start": "2023-11-07T05:31:56Z",
      "end": "2023-11-07T05:31:56Z",
      "source": "<string>"
    }
  ]
}

Headers

Authorization
string
required

value must be Bearer <token> where <token> is api key prefixed with cal_, managed user access token, or OAuth access token

Query Parameters

loggedInUsersTz
string

Deprecated: Use timeZone instead. The timezone of the user represented as a string

Example:

"America/New_York"

timeZone
string

The timezone for the busy times query represented as a string

Example:

"America/New_York"

dateFrom
string
required

The starting date for the busy times query

Example:

"2023-10-01"

dateTo
string
required

The ending date for the busy times query

Example:

"2023-10-31"

calendarsToLoad
object[]
required

An array of Calendar objects representing the calendars to be loaded. Use bracket notation in the URL, e.g.: calendarsToLoad[0][credentialId]=135&calendarsToLoad[0][externalId]=email@example.com

Response

200 - application/json
status
enum<string>
required
Available options:
success,
error
Example:

"success"

data
object[]
required